Bug 1123535 - SELinux is preventing /usr/libexec/sssd/sssd_be from 'write' accesses on the directory /etc/pki/ca-trust/source.
Summary: SELinux is preventing /usr/libexec/sssd/sssd_be from 'write' accesses on the ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1488169fdc59dd4f51242476eec...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-26 02:11 UTC by Adam Williamson
Modified: 2014-09-10 02:45 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.13.1-78.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-10 02:45:45 UTC


Attachments (Terms of Use)

Description Adam Williamson 2014-07-26 02:11:58 UTC
Description of problem:
Happened during boot I think (Fedora 21, FreeIPA client machine).
SELinux is preventing /usr/libexec/sssd/sssd_be from 'write' accesses on the directory /etc/pki/ca-trust/source.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that sssd_be should be allowed write access on the source directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep sssd_be /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:sssd_t:s0
Target Context                system_u:object_r:cert_t:s0
Target Objects                /etc/pki/ca-trust/source [ dir ]
Source                        sssd_be
Source Path                   /usr/libexec/sssd/sssd_be
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           sssd-common-1.12.0-5.fc21.x86_64
Target RPM Packages           ca-certificates-2013.1.97-3.fc21.noarch
Policy RPM                    selinux-policy-3.13.1-67.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.16.0-0.rc6.git2.2.fc22.x86_64 #1
                              SMP Fri Jul 25 17:56:42 UTC 2014 x86_64 x86_64
Alert Count                   39
First Seen                    2014-04-16 11:04:26 PDT
Last Seen                     2014-07-25 19:04:17 PDT
Local ID                      ec2a6585-69fa-41a1-960c-e8dc1d7300bc

Raw Audit Messages
type=AVC msg=audit(1406340257.66:545): avc:  denied  { write } for  pid=863 comm="sssd_be" name="source" dev="dm-1" ino=3015637 scontext=system_u:system_r:sssd_t:s0 tcontext=system_u:object_r:cert_t:s0 tclass=dir permissive=1


type=SYSCALL msg=audit(1406340257.66:545): arch=x86_64 syscall=access success=yes exit=0 a0=7f90671d51c0 a1=2 a2=0 a3=7f9 items=0 ppid=860 pid=863 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=sssd_be exe=/usr/libexec/sssd/sssd_be subj=system_u:system_r:sssd_t:s0 key=(null)

Hash: sssd_be,sssd_t,cert_t,dir,write

Version-Release number of selected component:
selinux-policy-3.13.1-67.fc21.noarch

Additional info:
reporter:       libreport-2.2.3
hashmarkername: setroubleshoot
kernel:         3.16.0-0.rc6.git2.2.fc22.x86_64
type:           libreport

Potential duplicate: bug 1070432

Comment 1 Miroslav Grepl 2014-07-31 14:48:58 UTC
commit 9caa87d5af3994e1febb97edf4d97577d777a364
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Fri Jul 25 11:56:22 2014 +0200

    Dontaudit attempts to access check cert dirs/files for sssd.

Comment 2 Fedora Update System 2014-08-28 14:10:45 UTC
selinux-policy-3.13.1-77.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-77.fc21

Comment 3 Fedora Update System 2014-08-28 16:42:29 UTC
Package selinux-policy-3.13.1-77.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-77.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9873/selinux-policy-3.13.1-77.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-09-02 19:29:29 UTC
selinux-policy-3.13.1-78.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-78.fc21

Comment 5 Fedora Update System 2014-09-10 02:45:45 UTC
selinux-policy-3.13.1-78.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.